API Reference

Local Development & Proxy

To accelerate your development workflow, Fathom Intelligence provides a local Development Proxy. This tool allows you to interact with the platform’s API from your local machine exactly as your code would after being deployed to our infrastructure.

Running the proxy locally eliminates the need for manual authentication headers and complex URL construction during development. It bridges your local environment with the cloud platform, providing a seamless transition from local script to production function.

Why use the Proxy?

  • Zero-Config Auth: The proxy handles authentication with Fathom Intelligence using your CLI’s active session.
  • Environment Mirroring: Your local code can use the same relative endpoints as it will in the production environment.
  • Rapid Iteration: Test your Rust functions or Python notebooks against live deployments without re-deploying your code.

Starting the Proxy

To launch the internal proxy, simply run the following command in your terminal. By default, the proxy will attempt to bind to an available random port, but you can also specify a fixed one.

fathom proxy --port 59243

Once started, the CLI will display the local address where the proxy is listening:

╭─────────┬─────────────────────────╮
│ status  │ address                 │
├─────────┼─────────────────────────┤
│ RUNNING │ http://127.0.0.1:59243/ │
╰─────────┴─────────────────────────╯

Example: Querying Models

To see all models currently available to your account via the proxy:

curl http://127.0.0.1:59243/api/intelligence/llms/v1/models

Api endpoints

POST

/api/intelligence/machine-learning/v1/code-snippets #

Render code snippets

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "deploymentId": {
      "format": "uuid",
      "type": "string"
    },
    "documentationKind": {
      "enum": [
        "loggedModel",
        "huggingFace"
      ],
      "type": "string"
    },
    "model": {
      "type": "string"
    }
  },
  "required": [
    "deploymentId",
    "model",
    "documentationKind"
  ],
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "snippets": {
          "type": "object"
        }
      },
      "required": [
        "snippets"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/deployments #

Lists deployments

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "modelData": {
            "type": "object"
          },
          "name": {
            "type": "string"
          },
          "nextRevision": {
            "type": "string"
          },
          "runningRevision": {
            "type": "string"
          },
          "serving": {
            "properties": {
              "gpu": {
                "enum": [
                  "nvidia-l4",
                  "nvidia-l4-2x"
                ],
                "type": "string"
              },
              "size": {
                "enum": [
                  "small",
                  "large",
                  "large-high-mem",
                  "extra-large"
                ],
                "type": "string"
              }
            },
            "required": [
              "size"
            ],
            "type": "object"
          },
          "state": {
            "type": "object"
          },
          "status": {
            "enum": [
              "pending",
              "running"
            ],
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          },
          "userId": {
            "format": "uuid",
            "type": "string"
          }
        },
        "required": [
          "id",
          "userId",
          "createdAt",
          "nextRevision",
          "name",
          "description",
          "status",
          "state",
          "serving",
          "tags",
          "modelData"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/deployments #

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "description": {
      "type": "string"
    },
    "model": {
      "type": "object"
    },
    "name": {
      "type": "string"
    },
    "serving": {
      "properties": {
        "gpu": {
          "enum": [
            "nvidia-l4",
            "nvidia-l4-2x"
          ],
          "type": "string"
        },
        "size": {
          "enum": [
            "small",
            "large",
            "large-high-mem",
            "extra-large"
          ],
          "type": "string"
        }
      },
      "required": [
        "size"
      ],
      "type": "object"
    },
    "tags": {
      "type": "object"
    }
  },
  "required": [
    "model",
    "name",
    "description",
    "serving"
  ],
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "modelData": {
          "type": "object"
        },
        "name": {
          "type": "string"
        },
        "nextRevision": {
          "type": "string"
        },
        "runningRevision": {
          "type": "string"
        },
        "serving": {
          "properties": {
            "gpu": {
              "enum": [
                "nvidia-l4",
                "nvidia-l4-2x"
              ],
              "type": "string"
            },
            "size": {
              "enum": [
                "small",
                "large",
                "large-high-mem",
                "extra-large"
              ],
              "type": "string"
            }
          },
          "required": [
            "size"
          ],
          "type": "object"
        },
        "state": {
          "type": "object"
        },
        "status": {
          "enum": [
            "pending",
            "running"
          ],
          "type": "string"
        },
        "tags": {
          "items": {
            "properties": {
              "key": {
                "type": "string"
              },
              "value": {
                "type": "string"
              }
            },
            "required": [
              "key"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        },
        "userId": {
          "format": "uuid",
          "type": "string"
        }
      },
      "required": [
        "id",
        "userId",
        "createdAt",
        "nextRevision",
        "name",
        "description",
        "status",
        "state",
        "serving",
        "tags",
        "modelData"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "invalid-logged-model-id",
            "unknown"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/deployments/filter #

Filter deployments

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "example": {
    "filter": {
      "@and": [
        {
          "@eq": {
            "path": "description",
            "value": "descriptionNot"
          }
        },
        {
          "@not": {
            "@regex": {
              "path": "name",
              "pattern": "^assetNot[2-9]*$"
            }
          }
        }
      ]
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "modelData": {
            "type": "object"
          },
          "name": {
            "type": "string"
          },
          "nextRevision": {
            "type": "string"
          },
          "runningRevision": {
            "type": "string"
          },
          "serving": {
            "properties": {
              "gpu": {
                "enum": [
                  "nvidia-l4",
                  "nvidia-l4-2x"
                ],
                "type": "string"
              },
              "size": {
                "enum": [
                  "small",
                  "large",
                  "large-high-mem",
                  "extra-large"
                ],
                "type": "string"
              }
            },
            "required": [
              "size"
            ],
            "type": "object"
          },
          "state": {
            "type": "object"
          },
          "status": {
            "enum": [
              "pending",
              "running"
            ],
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          },
          "userId": {
            "format": "uuid",
            "type": "string"
          }
        },
        "required": [
          "id",
          "userId",
          "createdAt",
          "nextRevision",
          "name",
          "description",
          "status",
          "state",
          "serving",
          "tags",
          "modelData"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/machine-learning/v1/deployments/{id} #

Delete function by id

Parametry:
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/deployments/{id} #

Parametry:
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "modelData": {
          "type": "object"
        },
        "name": {
          "type": "string"
        },
        "nextRevision": {
          "type": "string"
        },
        "runningRevision": {
          "type": "string"
        },
        "serving": {
          "properties": {
            "gpu": {
              "enum": [
                "nvidia-l4",
                "nvidia-l4-2x"
              ],
              "type": "string"
            },
            "size": {
              "enum": [
                "small",
                "large",
                "large-high-mem",
                "extra-large"
              ],
              "type": "string"
            }
          },
          "required": [
            "size"
          ],
          "type": "object"
        },
        "state": {
          "type": "object"
        },
        "status": {
          "enum": [
            "pending",
            "running"
          ],
          "type": "string"
        },
        "tags": {
          "items": {
            "properties": {
              "key": {
                "type": "string"
              },
              "value": {
                "type": "string"
              }
            },
            "required": [
              "key"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        },
        "userId": {
          "format": "uuid",
          "type": "string"
        }
      },
      "required": [
        "id",
        "userId",
        "createdAt",
        "nextRevision",
        "name",
        "description",
        "status",
        "state",
        "serving",
        "tags",
        "modelData"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

PATCH

/api/intelligence/machine-learning/v1/deployments/{id} #

Parametry:
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "description": {
      "type": "string"
    },
    "model": {
      "type": "object"
    },
    "name": {
      "type": "string"
    },
    "serving": {
      "properties": {
        "gpu": {
          "enum": [
            "nvidia-l4",
            "nvidia-l4-2x"
          ],
          "type": "string"
        },
        "size": {
          "enum": [
            "small",
            "large",
            "large-high-mem",
            "extra-large"
          ],
          "type": "string"
        }
      },
      "required": [
        "size"
      ],
      "type": "object"
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "modelData": {
          "type": "object"
        },
        "name": {
          "type": "string"
        },
        "nextRevision": {
          "type": "string"
        },
        "runningRevision": {
          "type": "string"
        },
        "serving": {
          "properties": {
            "gpu": {
              "enum": [
                "nvidia-l4",
                "nvidia-l4-2x"
              ],
              "type": "string"
            },
            "size": {
              "enum": [
                "small",
                "large",
                "large-high-mem",
                "extra-large"
              ],
              "type": "string"
            }
          },
          "required": [
            "size"
          ],
          "type": "object"
        },
        "state": {
          "type": "object"
        },
        "status": {
          "enum": [
            "pending",
            "running"
          ],
          "type": "string"
        },
        "tags": {
          "items": {
            "properties": {
              "key": {
                "type": "string"
              },
              "value": {
                "type": "string"
              }
            },
            "required": [
              "key"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        },
        "userId": {
          "format": "uuid",
          "type": "string"
        }
      },
      "required": [
        "id",
        "userId",
        "createdAt",
        "nextRevision",
        "name",
        "description",
        "status",
        "state",
        "serving",
        "tags",
        "modelData"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "invalid-logged-model-id"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/deployments/{id}/openai/v1/chat/completions #

Parametry:
  • Inference-Header-Content-Length [header](Type: [integer])
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json):
{}
Request Body (application/octet-stream):
{
  "format": "binary",
  "type": "string"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "unknown",
            "invalid-path"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/deployments/{id}/openai/v1/embeddings #

Parametry:
  • Inference-Header-Content-Length [header](Type: [integer])
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json):
{}
Request Body (application/octet-stream):
{
  "format": "binary",
  "type": "string"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "unknown",
            "invalid-path"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/deployments/{id}/v2/models/default/infer #

Parametry:
  • Inference-Header-Content-Length [header](Type: [integer])
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json):
{}
Request Body (application/octet-stream):
{
  "format": "binary",
  "type": "string"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "unknown",
            "invalid-path"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/experiments #

Lists experiments

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "functionId": {
            "format": "uuid",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "remoteId": {
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "remoteId",
          "name",
          "createdAt",
          "updatedAt",
          "tags"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/experiments/filter #

Lists experiments

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "example": {
    "filter": {
      "@and": [
        {
          "@eq": {
            "path": "description",
            "value": "descriptionNot"
          }
        },
        {
          "@not": {
            "@regex": {
              "path": "name",
              "pattern": "^assetNot[2-9]*$"
            }
          }
        }
      ]
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "functionId": {
            "format": "uuid",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "remoteId": {
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "remoteId",
          "name",
          "createdAt",
          "updatedAt",
          "tags"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/experiments/{experiment_id}/runs #

Lists runs

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "functionId": {
            "format": "uuid",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "metrics": {
            "type": "object"
          },
          "name": {
            "type": "string"
          },
          "parameters": {
            "type": "object"
          },
          "remoteId": {
            "type": "string"
          },
          "status": {
            "enum": [
              "running",
              "scheduled",
              "finished",
              "failed",
              "killed"
            ],
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "remoteId",
          "createdAt",
          "updatedAt",
          "status",
          "tags",
          "metrics",
          "parameters"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "fields": {
          "type": "object"
        },
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize",
        "fields"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/experiments/{experiment_id}/runs/filter #

Lists runs - filtered

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "metrics": {
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "parameters": {
      "items": {
        "type": "string"
      },
      "type": "array"
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "functionId": {
            "format": "uuid",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "metrics": {
            "type": "object"
          },
          "name": {
            "type": "string"
          },
          "parameters": {
            "type": "object"
          },
          "remoteId": {
            "type": "string"
          },
          "status": {
            "enum": [
              "running",
              "scheduled",
              "finished",
              "failed",
              "killed"
            ],
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "remoteId",
          "createdAt",
          "updatedAt",
          "status",
          "tags",
          "metrics",
          "parameters"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "fields": {
          "type": "object"
        },
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize",
        "fields"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/experiments/{id} #

Get experiment

Parametry:
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "functionId": {
          "format": "uuid",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "metrics": {
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        "name": {
          "type": "string"
        },
        "parameters": {
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        "remoteId": {
          "type": "string"
        },
        "tags": {
          "items": {
            "properties": {
              "key": {
                "type": "string"
              },
              "value": {
                "type": "string"
              }
            },
            "required": [
              "key"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "id",
        "remoteId",
        "name",
        "createdAt",
        "updatedAt",
        "tags",
        "metrics",
        "parameters"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/logged-models #

Lists logged models

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "kind": {
            "enum": [
              "sklearn",
              "onnx",
              "pytorch",
              "unknown",
              "hugging-face"
            ],
            "type": "string"
          },
          "modelSize": {
            "format": "uint64",
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "runId": {
            "format": "uuid",
            "type": "string"
          },
          "schema": {
            "properties": {
              "input": {
                "items": {},
                "type": "array"
              },
              "output": {
                "items": {},
                "type": "array"
              }
            },
            "type": "object"
          },
          "status": {
            "enum": [
              "pending",
              "ready",
              "upload-failed"
            ],
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "createdAt",
          "name",
          "kind",
          "status",
          "schema",
          "tags"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/logged-models/filter #

Filter logged models

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "example": {
    "filter": {
      "@and": [
        {
          "@eq": {
            "path": "description",
            "value": "descriptionNot"
          }
        },
        {
          "@not": {
            "@regex": {
              "path": "name",
              "pattern": "^assetNot[2-9]*$"
            }
          }
        }
      ]
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "kind": {
            "enum": [
              "sklearn",
              "onnx",
              "pytorch",
              "unknown",
              "hugging-face"
            ],
            "type": "string"
          },
          "modelSize": {
            "format": "uint64",
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "runId": {
            "format": "uuid",
            "type": "string"
          },
          "schema": {
            "properties": {
              "input": {
                "items": {},
                "type": "array"
              },
              "output": {
                "items": {},
                "type": "array"
              }
            },
            "type": "object"
          },
          "status": {
            "enum": [
              "pending",
              "ready",
              "upload-failed"
            ],
            "type": "string"
          },
          "tags": {
            "items": {
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              },
              "required": [
                "key"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "createdAt",
          "name",
          "kind",
          "status",
          "schema",
          "tags"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/machine-learning/v1/logged-models/{id} #

Delete logged model id

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/logged-models/{id} #

Get logged model

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "kind": {
          "enum": [
            "sklearn",
            "onnx",
            "pytorch",
            "unknown",
            "hugging-face"
          ],
          "type": "string"
        },
        "modelSize": {
          "format": "uint64",
          "type": "integer"
        },
        "name": {
          "type": "string"
        },
        "runId": {
          "format": "uuid",
          "type": "string"
        },
        "schema": {
          "properties": {
            "input": {
              "items": {},
              "type": "array"
            },
            "output": {
              "items": {},
              "type": "array"
            }
          },
          "type": "object"
        },
        "status": {
          "enum": [
            "pending",
            "ready",
            "upload-failed"
          ],
          "type": "string"
        },
        "tags": {
          "items": {
            "properties": {
              "key": {
                "type": "string"
              },
              "value": {
                "type": "string"
              }
            },
            "required": [
              "key"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "id",
        "createdAt",
        "name",
        "kind",
        "status",
        "schema",
        "tags"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/logged-models/{id}/input-example #

Find example input for logged model

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "id": {
          "type": "string"
        },
        "inputs": {
          "items": {
            "properties": {
              "data": {
                "items": {},
                "type": "array"
              },
              "datatype": {
                "enum": [
                  "BOOL",
                  "UINT8",
                  "UINT16",
                  "UINT32",
                  "UINT64",
                  "INT8",
                  "INT16",
                  "INT32",
                  "INT64",
                  "FP16",
                  "FP32",
                  "FP64",
                  "BYTES"
                ],
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "parameters": {
                "type": "object"
              },
              "shape": {
                "items": {
                  "format": "int64",
                  "type": "integer"
                },
                "type": "array"
              }
            },
            "required": [
              "name",
              "shape",
              "datatype",
              "data"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "outputs": {
          "items": {
            "properties": {
              "name": {
                "type": "string"
              },
              "parameters": {
                "type": "object"
              }
            },
            "required": [
              "name"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "parameters": {
          "type": "object"
        }
      },
      "required": [
        "inputs"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/runs/{run_id} #

Get run

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "functionId": {
          "format": "uuid",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "remoteId": {
          "type": "string"
        },
        "status": {
          "enum": [
            "running",
            "scheduled",
            "finished",
            "failed",
            "killed"
          ],
          "type": "string"
        },
        "tags": {
          "items": {
            "properties": {
              "key": {
                "type": "string"
              },
              "value": {
                "type": "string"
              }
            },
            "required": [
              "key"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "id",
        "remoteId",
        "createdAt",
        "updatedAt",
        "status",
        "tags"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/runs/{run_id}/metrics #

Get run metrics

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "metrics": {
          "type": "object"
        }
      },
      "required": [
        "metrics"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/machine-learning/v1/runs/{run_id}/parameters #

Get run parameters

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "parameters": {
          "type": "object"
        }
      },
      "required": [
        "parameters"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/machine-learning/v1/tags #

Tag experiment, deployment, logged_model and run

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "tags": {
      "items": {
        "properties": {
          "key": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        },
        "required": [
          "key"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "target": {
      "type": "object"
    }
  },
  "required": [
    "tags",
    "target"
  ],
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "key": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "key",
          "createdAt"
        ],
        "type": "object"
      },
      "type": "array"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "ValidationError"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/machine-learning/v1/tags/{key}/deployment/{deployment_id} #

UnTag deployment

Parametry:
  • key [path] *(Type: [string])
  • deployment_id [path] *(Type: [string])
  • value [query](Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "key": {
          "type": "string"
        },
        "value": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "key",
        "createdAt"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "ValidationError"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/machine-learning/v1/tags/{key}/experiment/{experiment_id} #

UnTag experiment

Parametry:
  • key [path] *(Type: [string])
  • experiment_id [path] *(Type: [string])
  • value [query](Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "key": {
          "type": "string"
        },
        "value": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "key",
        "createdAt"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "ValidationError"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/machine-learning/v1/tags/{key}/logged-model/{logged_model_id} #

UnTag deployment

Parametry:
  • key [path] *(Type: [string])
  • logged_model_id [path] *(Type: [string])
  • value [query](Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "key": {
          "type": "string"
        },
        "value": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "key",
        "createdAt"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "ValidationError"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/machine-learning/v1/tags/{key}/run/{run_id} #

UnTag deployment

Parametry:
  • key [path] *(Type: [string])
  • run_id [path] *(Type: [string])
  • value [query](Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "key": {
          "type": "string"
        },
        "value": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "key",
        "createdAt"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "ValidationError"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/llms/v1/backends #

List backends

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "kind": {
            "enum": [
              "vllm",
              "openai"
            ],
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "settings": {
            "properties": {
              "authorization": {
                "enum": [
                  "sealed"
                ],
                "type": "string"
              }
            },
            "type": "object"
          },
          "status": {
            "enum": [
              "enabled",
              "disabled"
            ],
            "type": "string"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          },
          "url": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "url",
          "status",
          "kind",
          "createdAt",
          "settings"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/llms/v1/backends #

Create new backend

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "kind": {
      "enum": [
        "vllm",
        "openai"
      ],
      "type": "string"
    },
    "locator": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "settings": {
      "properties": {
        "authorization": {
          "type": "string"
        },
        "filterModels": {
          "type": "object"
        }
      },
      "type": "object"
    },
    "url": {
      "type": "string"
    }
  },
  "required": [
    "name",
    "locator",
    "url",
    "kind",
    "settings"
  ],
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "kind": {
          "enum": [
            "vllm",
            "openai"
          ],
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "settings": {
          "properties": {
            "authorization": {
              "enum": [
                "sealed"
              ],
              "type": "string"
            }
          },
          "type": "object"
        },
        "status": {
          "enum": [
            "enabled",
            "disabled"
          ],
          "type": "string"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        },
        "url": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "name",
        "url",
        "status",
        "kind",
        "createdAt",
        "settings"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "error": {
      "properties": {
        "code": {
          "enum": [
            "schemaValidationError",
            "locatorConflictError"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/llms/v1/backends/filter #

List backends using filters

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "example": {
    "filter": {
      "@and": [
        {
          "@eq": {
            "path": "description",
            "value": "descriptionNot"
          }
        },
        {
          "@not": {
            "@regex": {
              "path": "name",
              "pattern": "^assetNot[2-9]*$"
            }
          }
        }
      ]
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "kind": {
            "enum": [
              "vllm",
              "openai"
            ],
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "settings": {
            "properties": {
              "authorization": {
                "enum": [
                  "sealed"
                ],
                "type": "string"
              }
            },
            "type": "object"
          },
          "status": {
            "enum": [
              "enabled",
              "disabled"
            ],
            "type": "string"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          },
          "url": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "url",
          "status",
          "kind",
          "createdAt",
          "settings"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/llms/v1/backends/{id} #

Delete backend by id

Parametry:
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/llms/v1/backends/{id} #

Get backend by id

Parametry:
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "kind": {
          "enum": [
            "vllm",
            "openai"
          ],
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "settings": {
          "properties": {
            "authorization": {
              "enum": [
                "sealed"
              ],
              "type": "string"
            }
          },
          "type": "object"
        },
        "status": {
          "enum": [
            "enabled",
            "disabled"
          ],
          "type": "string"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        },
        "url": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "name",
        "url",
        "status",
        "kind",
        "createdAt",
        "settings"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

PATCH

/api/intelligence/llms/v1/backends/{id} #

Patch backend

Parametry:
  • id [path] *(Type: [string])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "kind": {
      "enum": [
        "vllm",
        "openai"
      ],
      "type": "string"
    },
    "locator": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "settings": {
      "properties": {
        "authorization": {
          "type": "string"
        },
        "filterModels": {
          "type": "object"
        }
      },
      "type": "object"
    },
    "status": {
      "enum": [
        "enabled",
        "disabled"
      ],
      "type": "string"
    },
    "url": {
      "type": "string"
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "kind": {
          "enum": [
            "vllm",
            "openai"
          ],
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "settings": {
          "properties": {
            "authorization": {
              "enum": [
                "sealed"
              ],
              "type": "string"
            }
          },
          "type": "object"
        },
        "status": {
          "enum": [
            "enabled",
            "disabled"
          ],
          "type": "string"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        },
        "url": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "name",
        "url",
        "status",
        "kind",
        "createdAt",
        "settings"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

POST

/api/intelligence/llms/v1/chat/completions #

Create chat

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "model": {
      "type": "string"
    }
  },
  "required": [
    "model"
  ],
  "type": "object"
}
Responses

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/llms/v1/code-snippets #

Render code snippet

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "model": {
      "type": "string"
    },
    "profileId": {
      "format": "uuid",
      "type": "string"
    },
    "snippetId": {
      "format": "uuid",
      "type": "string"
    }
  },
  "required": [
    "model",
    "snippetId"
  ],
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "content": {
          "type": "string"
        }
      },
      "required": [
        "content"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

GET

/api/intelligence/llms/v1/models #

List all available models

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "created": {
            "format": "int64",
            "type": "integer"
          },
          "displayName": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "internalId": {
            "format": "uuid",
            "type": "string"
          },
          "object": {
            "type": "string"
          },
          "ownedBy": {
            "type": "string"
          },
          "uris": {
            "properties": {
              "base": {
                "type": "string"
              },
              "chatCompletions": {
                "type": "string"
              }
            },
            "required": [
              "base",
              "chatCompletions"
            ],
            "type": "object"
          }
        },
        "required": [
          "id",
          "object",
          "displayName",
          "ownedBy",
          "created",
          "uris",
          "internalId"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "object": {
      "type": "string"
    }
  },
  "required": [
    "data",
    "object"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/llms/v1/models/filter #

List models using filters

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "example": {
    "filter": {
      "@and": [
        {
          "@eq": {
            "path": "description",
            "value": "descriptionNot"
          }
        },
        {
          "@not": {
            "@regex": {
              "path": "name",
              "pattern": "^assetNot[2-9]*$"
            }
          }
        }
      ]
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "backendId": {
            "format": "uuid",
            "type": "string"
          },
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "remoteId": {
            "type": "string"
          },
          "status": {
            "enum": [
              "enabled",
              "disabled"
            ],
            "type": "string"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "remoteId",
          "backendId",
          "status",
          "createdAt"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/llms/v1/models/{id} #

Get model by id

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "backendId": {
          "format": "uuid",
          "type": "string"
        },
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "remoteId": {
          "type": "string"
        },
        "status": {
          "enum": [
            "enabled",
            "disabled"
          ],
          "type": "string"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "id",
        "name",
        "remoteId",
        "backendId",
        "status",
        "createdAt"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

PATCH

/api/intelligence/llms/v1/models/{id} #

Patch models

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "status": {
      "enum": [
        "enabled",
        "disabled"
      ],
      "type": "string"
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "backendId": {
          "format": "uuid",
          "type": "string"
        },
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "remoteId": {
          "type": "string"
        },
        "status": {
          "enum": [
            "enabled",
            "disabled"
          ],
          "type": "string"
        },
        "updatedAt": {
          "format": "date-time",
          "type": "string"
        }
      },
      "required": [
        "id",
        "name",
        "remoteId",
        "backendId",
        "status",
        "createdAt"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

GET

/api/intelligence/llms/v1/profiles #

List profiles

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "maxTokens": {
            "format": "int32",
            "type": "integer"
          },
          "modelId": {
            "format": "uuid",
            "type": "string"
          },
          "modelName": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "stopSequence": {
            "type": "string"
          },
          "systemPrompt": {
            "type": "string"
          },
          "temperature": {
            "format": "float",
            "type": "number"
          },
          "topP": {
            "format": "float",
            "type": "number"
          }
        },
        "required": [
          "id",
          "modelId",
          "modelName",
          "name"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

POST

/api/intelligence/llms/v1/profiles #

Create new profile

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "maxTokens": {
      "format": "int32",
      "type": "integer"
    },
    "modelId": {
      "format": "uuid",
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "stopSequence": {
      "type": "string"
    },
    "systemPrompt": {
      "type": "string"
    },
    "temperature": {
      "format": "float",
      "type": "number"
    },
    "topP": {
      "format": "float",
      "type": "number"
    }
  },
  "required": [
    "modelId",
    "name"
  ],
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "maxTokens": {
          "format": "int32",
          "type": "integer"
        },
        "modelId": {
          "format": "uuid",
          "type": "string"
        },
        "modelName": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "stopSequence": {
          "type": "string"
        },
        "systemPrompt": {
          "type": "string"
        },
        "temperature": {
          "format": "float",
          "type": "number"
        },
        "topP": {
          "format": "float",
          "type": "number"
        }
      },
      "required": [
        "id",
        "modelId",
        "modelName",
        "name"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

POST

/api/intelligence/llms/v1/profiles/filter #

List profiles using filters

Parametry:
  • page_number [query](Type: [integer])
  • page_size [query](Type: [integer])
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "example": {
    "filter": {
      "@and": [
        {
          "@eq": {
            "path": "name",
            "value": "GPT"
          }
        }
      ]
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "id": {
            "format": "uuid",
            "type": "string"
          },
          "maxTokens": {
            "format": "int32",
            "type": "integer"
          },
          "modelId": {
            "format": "uuid",
            "type": "string"
          },
          "modelName": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "stopSequence": {
            "type": "string"
          },
          "systemPrompt": {
            "type": "string"
          },
          "temperature": {
            "format": "float",
            "type": "number"
          },
          "topP": {
            "format": "float",
            "type": "number"
          }
        },
        "required": [
          "id",
          "modelId",
          "modelName",
          "name"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "pagination": {
      "properties": {
        "pageNumber": {
          "format": "uint32",
          "type": "integer"
        },
        "pageSize": {
          "format": "uint32",
          "type": "integer"
        },
        "totalElements": {
          "format": "uint32",
          "type": "integer"
        },
        "totalPages": {
          "format": "uint32",
          "type": "integer"
        }
      },
      "required": [
        "totalPages",
        "totalElements",
        "pageNumber",
        "pageSize"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "pagination"
  ],
  "type": "object"
}
application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

DELETE

/api/intelligence/llms/v1/profiles/{id} #

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

This response does not return a message body.

This response does not return a message body.

GET

/api/intelligence/llms/v1/profiles/{id} #

Get profile by id

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "maxTokens": {
          "format": "int32",
          "type": "integer"
        },
        "modelId": {
          "format": "uuid",
          "type": "string"
        },
        "modelName": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "stopSequence": {
          "type": "string"
        },
        "systemPrompt": {
          "type": "string"
        },
        "temperature": {
          "format": "float",
          "type": "number"
        },
        "topP": {
          "format": "float",
          "type": "number"
        }
      },
      "required": [
        "id",
        "modelId",
        "modelName",
        "name"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.

PATCH

/api/intelligence/llms/v1/profiles/{id} #

Patch profile

Parametry:
  • Authorization [header] — Bearer <access token> (Type: string)
  • x-organizationid [header] — Id of organization (Type: string)
  • x-projectid [header] — Id of project (Type: string)
Request Body (application/json; charset=utf-8):
{
  "properties": {
    "maxTokens": {
      "format": "int32",
      "type": "integer"
    },
    "name": {
      "type": "string"
    },
    "stopSequence": {
      "type": "string"
    },
    "systemPrompt": {
      "type": "string"
    },
    "temperature": {
      "format": "float",
      "type": "number"
    },
    "topP": {
      "format": "float",
      "type": "number"
    }
  },
  "type": "object"
}
Responses
application/json; charset=utf-8 Schema Definition
{
  "properties": {
    "data": {
      "properties": {
        "id": {
          "format": "uuid",
          "type": "string"
        },
        "maxTokens": {
          "format": "int32",
          "type": "integer"
        },
        "modelId": {
          "format": "uuid",
          "type": "string"
        },
        "modelName": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "stopSequence": {
          "type": "string"
        },
        "systemPrompt": {
          "type": "string"
        },
        "temperature": {
          "format": "float",
          "type": "number"
        },
        "topP": {
          "format": "float",
          "type": "number"
        }
      },
      "required": [
        "id",
        "modelId",
        "modelName",
        "name"
      ],
      "type": "object"
    }
  },
  "required": [
    "data"
  ],
  "type": "object"
}

This response does not return a message body.

This response does not return a message body.

application/json; charset=utf-8 Schema Definition
{
  "type": "string"
}

This response does not return a message body.